javax.xml.transform.dom

## Class DOMResult

- java.lang.Object
- - javax.xml.transform.dom.DOMResult

All Implemented Interfaces:
  Result

    public class DOMResult
    extends java.lang.Object
    implements Result

Acts as a holder for a transformation result tree, in the form of a Document Object Model (DOM) tree. If no output DOM source is set, the transformation will create a Document node as the holder for the result of the transformation, which may be retrieved with getNode.

### Field Summary

Fields
`static java.lang.String` `FEATURE` If `TransformerFactory.getFeature(java.lang.String)` returns true when passed this value as an argument, the Transformer supports Result output of this type.

### Fields inherited from interface javax.xml.transform.Result

`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

### Constructor Summary

Constructors
Constructor and Description
`DOMResult()` Zero-argument default constructor.
`DOMResult(Node node)` Use a DOM node to create a new output target.
`DOMResult(Node node, java.lang.String systemID)` Create a new output target with a DOM node.

### Method Summary

All Methods Instance Methods Concrete Methods
`Node` `getNode()` Get the node that will contain the result DOM tree.
`java.lang.String` `getSystemId()` Get the system identifier that was set with setSystemId.
`void` `setNode(Node node)` Set the node that will contain the result DOM tree.
`void` `setSystemId(java.lang.String systemId)` Method setSystemId Set the systemID that may be used in association with the node.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### FEATURE

    public static final java.lang.String FEATURE

If `TransformerFactory.getFeature(java.lang.String)` returns true when passed this value as an argument, the Transformer supports Result output of this type.

See Also:
  Constant Field Values

### Constructor Detail

#### DOMResult

    public DOMResult()

Zero-argument default constructor.

#### DOMResult

    public DOMResult(Node node)

Use a DOM node to create a new output target. In practice, the node should be a `Document` node, a `DocumentFragment` node, or a `Element` node. In other words, a node that accepts children.

Parameters:
  `node` - The DOM node that will contain the result tree.

#### DOMResult

    public DOMResult(Node node,
                     java.lang.String systemID)

Create a new output target with a DOM node. In practice, the node should be a `Document` node, a `DocumentFragment` node, or a `Element` node. In other words, a node that accepts children.

Parameters:
  `node` - The DOM node that will contain the result tree.
  `systemID` - The system identifier which may be used in association with this node.

### Method Detail

#### setNode

    public void setNode(Node node)

Set the node that will contain the result DOM tree. In practice, the node should be a `Document` node, a `DocumentFragment` node, or a `Element` node. In other words, a node that accepts children.

Parameters:
  `node` - The node to which the transformation will be appended.

#### getNode

    public Node getNode()

Get the node that will contain the result DOM tree. If no node was set via setNode, the node will be set by the transformation, and may be obtained from this method once the transformation is complete.

Returns:
  The node to which the transformation will be appended.

#### setSystemId

    public void setSystemId(java.lang.String systemId)

Method setSystemId Set the systemID that may be used in association with the node.

Specified by:
  `setSystemId` in interface `Result`
Parameters:
  `systemId` - The system identifier as a URI string.

#### getSystemId

    public java.lang.String getSystemId()

Get the system identifier that was set with setSystemId.

Specified by:
  `getSystemId` in interface `Result`
Returns:
  The system identifier that was set with setSystemId, or null if setSystemId was not called.

Copyright © 2003, 2018, Oracle and/or its affiliates. All rights reserved.